MARTe2-core - User story #296

GTest folder structure
18.01.2016 10:53 - André Neto

Status: Closed Start date: 18.01.2016
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.11 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Update the GTest folder structure to align with the Source and Test structure.

Source code files modified

(see on the commit message)

Architecture & design review
Date of the review: 18/01/2016
Person who did the review: Andre' Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 18/01/2016

Person who did the review: Andre' Neto

Result of review: PASS

List of non-conformities:

Some linting issues remain. See #188 as it was branched from here and many issues were fixed there.

Unit test review

Date of the review: 03/02/2016

Person who did the review: lvan Herrero Molina
Result of coverage tests review: PASS

Result of functional tests review: PASS

Result of review: PASS

List of non-conformities:
® The following tests fail on Windows platform:

[---------- ] Global test environment tear-down

[==========] 2502 tests from 75 test cases ran. (77228 ms total)
[ PASSED ] 2492 tests.

[ FAILED ] 10 tests, listed below:

[ FAILED ] DirectoryGTest.TestGetLastAccessTime_ReRead

[ FAILED ] DirectoryGTest.TestGetLastAccessTime_ReRead2

[ FAILED ] LoadableLibraryGTest.TestOpenCloseLibrary

[ FAILED ] LoadableLibraryGTest.TestCloseLibrary

[ FAILED ] LoadableLibraryGTest.TestLoadFunction

[ FAILED ] LoadableLibraryGTest.TestLoadFunctionSquareBracketsOperator
[ FAILED ] LoadableLibraryGTest.TestGetModule

[ FAILED ] MutexSemGTest.TestIsRecursive

[ FAILED ] MutexSemGTest.TestRecursiveOff

[ FAILED ] ThreadsGTest.TestBeginThreadStacksize0

Associated revisions

Revision dbddf3c6 - 18.01.2016 11:29 - Giuseppe Ferro
Merge branch 'develop-freertos-GTestSupport' into #296_GTest_Folder_Structure

Revision 1f9¢c989 - 18.01.2016 13:26 - Giuseppe Ferro
#296 Added cov makefiles

Revision 8ba64f62 - 18.01.2016 14:34 - André Neto

#296 Removed wrong dependencies inclusion in Makefile.inc in GTest

Revision 3¢5185f1 - 18.01.2016 14:35 - André Neto

Merge branch '#296_GTest_Folder_Structure' of https:/vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #296_GTest_Folder_Structure

Revision 9590442d - 18.01.2016 18:34 - Giuseppe Ferro
#296 Added introspection tests

Revision 233c1dcd - 21.01.2016 09:50 - Giuseppe Ferro

#296 Fixed coverage and lint errors

Revision 15bb5cbd - 01.02.2016 15:45 - Giuseppe Ferro

#296 Fixed compilation under windows

Revision 6c37784c - 01.02.2016 16:41 - Giuseppe Ferro

#296 Used new stategy to compile in windows

Revision 33d4493d - 02.02.2016 12:48 - Giuseppe Ferro
#296 Removed the list of files

Revision d913d727 - 02.02.2016 13:08 - Giuseppe Ferro
#296 Added files to gitignore

Revision 0ed6cb5d - 03.02.2016 18:44 - Ivan Herrero

#296 - Fix DLL exporting error (the BasicConsole::Close function has
been reverted to non-virtual because, for unknown reasons, it is not
exported when is virtual, so it is not found at runtime, hence making
the program to abort).

History

#1 - 18.01.2016 10:55 - André Neto
- Status changed from New to Code: Impl

#2 - 18.01.2016 11:55 - Giuseppe Ferro
- Assignee set to Giuseppe Ferro

#3 - 18.01.2016 12:36 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#4 - 18.01.2016 12:36 - Giuseppe Ferro

- Description updated

code implementation done: f2902bf

#5 - 18.01.2016 12:37 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#6 - 18.01.2016 14:36 - André Neto
- Description updated

- Assignee set to André Neto

#7 - 18.01.2016 14:37 - André Neto
- Status changed from Code: Rev to Code: Impl

#8 - 18.01.2016 14:37 - André Neto

- Assignee changed from André Neto to Giuseppe Ferro

#9 - 31.01.2016 20:47 - André Neto

- Description updated

#10 - 03.02.2016 19:56 - Ivan Herrero
- Description updated
- Status changed from Code: Impl to Unit: Rev

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#11 - 04.02.2016 09:26 - Ivan Herrero
- Description updated
- Status changed from Unit: Rev to Closed

- Assignee deleted (Ilvan Herrero)

commit b8002d0fc778ee36f75853e6e5d65df4eddce467

Merge branch '#296_GTest_Folder_Structure' into develop
